Appendix B - Runtime Requirements

An application that uses mHUB requires various precompiled binary files depending on which API has been used. The following details these requirements.

 

Windows

In addition, the Microsoft Visual C++ 2015 runtime must be installed. Redistributable installers can be found in C:\Program Files\matchIT Hub\redist. Only the installer that corresponds to the architecture of the application (32- or 64-bit) must be installed.

C and C++

matchITHub.dll - All mHUB functionality.

.NET

matchITHub.dll - All mHUB functionality.

matchITHub_net4.dll - The .NET interface to mHUB.

Java

matchITHub.dll - All mHUB functionality.

matchITHub.jar - The Java interface to mHUB.

Other languages (using SWIG)

matchITHub.dll - All mHUB functionality.

Plus any wrapper built from the generated SWIG files (please refer to the SWIG documentation for details).

 

Other Operating Systems

Note that mHUB has been compiled using GCC 5.2 and therefore requires glibc 2.21. A precompiled version of libstdc++.so can be provided upon request, although it is highly recommended that GCC 5.2 or greater is compiled and used on your platform.

C and C++

libmatchITHub.so - All mHUB functionality.

Java

libmatchITHub.so - All mHUB functionality.

matchITHub.jar - The Java interface to mHUB.

Other languages (using SWIG)

matchITHub.so - All mHUB functionality.

Plus any wrapper built from the generated SWIG files (please refer to the SWIG documentation for details).